# Sorting.Order (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client.domain.query

## Enum Sorting.Order

- java.lang.Object
- - java.lang.Enum<Sorting.Order>
  - - io.dapr.client.domain.query.Sorting.Order

All Implemented Interfaces:
  `Serializable`, `Comparable<Sorting.Order>`

Enclosing class:
  Sorting

    public static enum Sorting.Order
    extends Enum<Sorting.Order>

### Enum Constant Summary

Enum Constants
`ASC`
`DESC`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Sorting.Order` `fromValue​(String value)`
`String` `getValue()`
`static Sorting.Order` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Sorting.Order[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ASC

    public static final Sorting.Order ASC

#### DESC

    public static final Sorting.Order DESC

### Method Detail

#### values

    public static Sorting.Order[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Sorting.Order c : Sorting.Order.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Sorting.Order valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getValue

    public String getValue()

#### fromValue

    public static Sorting.Order fromValue​(String value)